# API.GamepadIndex

Package org.firstinspires.ftc.teamcode

## Enum API.GamepadIndex

- java.lang.Object
- - java.lang.Enum<API.GamepadIndex>
  - - org.firstinspires.ftc.teamcode.API.GamepadIndex

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<API.GamepadIndex>`

Enclosing class:
  API

    public static enum API.GamepadIndex
    extends java.lang.Enum<API.GamepadIndex>

### Enum Constant Summary

Enum Constants
`GAMEPAD1`
`GAMEPAD2`

### Method Summary

All Methods Static Methods Concrete Methods
`static API.GamepadIndex` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static API.GamepadIndex[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GAMEPAD1

    public static final API.GamepadIndex GAMEPAD1

#### GAMEPAD2

    public static final API.GamepadIndex GAMEPAD2

### Method Detail

#### values

    public static API.GamepadIndex[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (API.GamepadIndex c : API.GamepadIndex.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static API.GamepadIndex valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null